#749 LuaSec 0.6 no longer exports a global 'ssl'

Reporter Zash
Owner Zash
Created
Updated
Stars ★ (1)  
Tags
  • Milestone-0.9
  • Status-Fixed
  • Type-Defect
  • Priority-Medium
  • LuaSec
  1. Zash on

    LuaSec 0.6 will no longer follow the old and deprecated practice of exporting itself into the global environment. Various places in Prosody up until 0.9.10 expects this to be there if LuaSec is available, so upgrading LuaSec to 0.6 will make Prosody act as if LuaSec was unavailable.

  2. Zash on

    Changes
    • owner Zash
    • title LuaSec 0.6 no longer exports a global 'ssl', breaking LuaSec 0.6 no longer exports a global 'ssl'
    • tags Milestone-0.9 Status-Started LuaSec
  3. Zash on

    https://hg.prosody.im/0.9/rev/decb657bc0a0

    Changes
    • tags Status-Fixed

New comment